#!/bin/bash -e
sudo yum -y update
sudo yum install -y yum-utils
sudo yum install -y epel-release
sudo yum install -y centos-release-scl
echo "==================== Installing clang ==================="
sudo yum install -y clang-3.4.2-9.el7
clang --version
echo "======================= Installing gcc ========================"
sudo yum-config-manager --enable rhel-server-rhscl-8-rpms
sudo rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-SCLo
sudo yum install -y devtoolset-8
export PATH="/opt/rh/devtoolset-8/root/usr/bin:$PATH"
echo 'export PATH="/opt/rh/devtoolset-8/root/usr/bin:$PATH"' >> /etc/drydock/.env
scl enable devtoolset-8 bash
gcc --version
g++ --version
